Bug#171804: glibc 2.3.1-5 for hppa on upgrade can trash the entire system
Package: libc6
Version: 2.3.1-5
Severity: critical
Due to an oversight in my testing, if you upgrade to 2.3.1-5 on HPPA and
your kernel version if < 2.4.19, then glibc will refuse to function
(minkernel is set to 2.4.19). This refusal to function is manifested as
a complaint during the install process and in general cannot be
recovered from without a lot of work (getting external libc6 debs).
For the first occurance of the problem see:
http://lists.debian.org/debian-hppa/2002/debian-hppa-200211/msg00082.html
The following patch to preinst prevents people from installing unless
the kernel version matches.
c.
--- debian/libc/DEBIAN/preinst.orig 2002-12-02 20:21:46.000000000 -0500
+++ debian/libc/DEBIAN/preinst 2002-12-02 20:31:16.000000000 -0500
@@ -100,6 +100,19 @@
fi
fi
fi
+ # HPPA boxes require latest fixes in the kernel to function properly.
+ if [ "$realarch" = parisc64 ] || [ "$realarch" = parisc ]
+ then
+ kernel_ver=`uname -r`
+ if dpkg --compare-versions "$kernel_ver" lt 2.4.19
+ then
+ echo WARNING: This version of libc6 requires that you be running
+ echo atleast a 2.4.19 kernel in order to work properly. Earlier
+ echo kernels did not provide the proper functionality in order
+ echo for the system to be stable.
+ exit 1
+ fi
+ fi
fi
exit 0
Reply to: